Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 10929)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 10930)
@@ -102,13 +102,21 @@
     }
 
-    void FilterLogic_FilterChanged(object sender, EventArgs e) {
-      OnContentChanged();
-      searchIterator = null;
-    }
-
     protected override void DeregisterContentEvents() {
       base.DeregisterContentEvents();
       Content.Changed -= Content_Changed;
       Content.FilterLogic.FilterChanged -= FilterLogic_FilterChanged;
+    }
+
+    void FilterLogic_FilterChanged(object sender, EventArgs e) {
+      OnContentChanged();
+      searchIterator = null;
+      if (findAndReplaceDialog != null && !findAndReplaceDialog.IsDisposed) {
+        if (Content.FilterLogic.IsFiltered) {
+          findAndReplaceDialog.DisableReplace();
+        } else {
+          findAndReplaceDialog.EnableReplace();
+        }
+      }
+      btnReplace.Enabled = !Content.FilterLogic.IsFiltered;
     }
 
@@ -132,5 +140,5 @@
         string errorMessage;
         if (Content != null) {
-          if (dataGridView.IsCurrentCellInEditMode && Content.FilterLogic.IsFiltered()) {
+          if (dataGridView.IsCurrentCellInEditMode && Content.FilterLogic.IsFiltered) {
             errorMessage = "A filter is active, you cannot modify data. Press ESC to exit edit mode.";
           } else {
@@ -191,4 +199,7 @@
         searchIterator = null;
         DataGridView.SelectionChanged += DataGridView_SelectionChanged_FindAndReplace;
+        if (Content.FilterLogic.IsFiltered) {
+          findAndReplaceDialog.DisableReplace();
+        }
       }
     }
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.Designer.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.Designer.cs	(revision 10929)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.Designer.cs	(revision 10930)
@@ -27,4 +27,5 @@
       this.tabSearch = new System.Windows.Forms.TabPage();
       this.tabReplace = new System.Windows.Forms.TabPage();
+      this.cmbComparisonOperator = new System.Windows.Forms.ComboBox();
       this.txtSearchString = new System.Windows.Forms.TextBox();
       this.lblSearch = new System.Windows.Forms.Label();
@@ -37,5 +38,4 @@
       this.txtValue = new System.Windows.Forms.TextBox();
       this.label1 = new System.Windows.Forms.Label();
-      this.cmbComparisonOperator = new System.Windows.Forms.ComboBox();
       this.tabSearchReplace.SuspendLayout();
       this.tabReplace.SuspendLayout();
@@ -87,4 +87,13 @@
       this.tabReplace.UseVisualStyleBackColor = true;
       // 
+      // cmbComparisonOperator
+      // 
+      this.cmbComparisonOperator.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.cmbComparisonOperator.FormattingEnabled = true;
+      this.cmbComparisonOperator.Location = new System.Drawing.Point(103, 19);
+      this.cmbComparisonOperator.Name = "cmbComparisonOperator";
+      this.cmbComparisonOperator.Size = new System.Drawing.Size(45, 21);
+      this.cmbComparisonOperator.TabIndex = 24;
+      // 
       // txtSearchString
       // 
@@ -173,13 +182,4 @@
       this.label1.TabIndex = 14;
       this.label1.Text = "Replace with";
-      // 
-      // cmbComparisonOperator
-      // 
-      this.cmbComparisonOperator.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.cmbComparisonOperator.FormattingEnabled = true;
-      this.cmbComparisonOperator.Location = new System.Drawing.Point(103, 19);
-      this.cmbComparisonOperator.Name = "cmbComparisonOperator";
-      this.cmbComparisonOperator.Size = new System.Drawing.Size(45, 21);
-      this.cmbComparisonOperator.TabIndex = 24;
       // 
       // SearchAndReplaceDialog
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.cs	(revision 10929)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.cs	(revision 10930)
@@ -1,4 +1,3 @@
 ﻿using System;
-using System.Collections.Generic;
 using System.Windows.Forms;
 
@@ -22,4 +21,6 @@
   }
 
+
+
   public partial class SearchAndReplaceDialog : Form {
     private string[] cmbItemsText = { "Value", "Average", "Median", "Random", "Most Common", "Interpolation" };
@@ -42,4 +43,13 @@
       tabSearchReplace.SelectTab(tabReplace);
       AddControlsToCurrentTab();
+    }
+
+    public void DisableReplace() {
+      tabSearchReplace.SelectTab(tabSearch);
+      tabReplace.Enabled = false;
+    }
+
+    public void EnableReplace() {
+      tabReplace.Enabled = true;
     }
 
@@ -97,5 +107,4 @@
       remove { btnReplace.Click -= value; }
     }
-      
   }
 }
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/FilterLogic.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/FilterLogic.cs	(revision 10929)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/FilterLogic.cs	(revision 10930)
@@ -82,6 +82,8 @@
     }
 
-    public bool IsFiltered() {
-      return preprocessingData.IsFiltered;
+    public bool IsFiltered {
+      get {
+        return preprocessingData.IsFiltered;
+      }
     }
 
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Interfaces/IFilterLogic.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Interfaces/IFilterLogic.cs	(revision 10929)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Interfaces/IFilterLogic.cs	(revision 10930)
@@ -36,5 +36,5 @@
     IPreprocessingData PreprocessingData { get; }
     void Reset();
-    bool IsFiltered();
+    bool IsFiltered { get; }
 
     event EventHandler FilterChanged;