Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.Designer.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.Designer.cs	(revision 10932)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.Designer.cs	(revision 10933)
@@ -41,7 +41,12 @@
       this.rBtnOr = new System.Windows.Forms.RadioButton();
       this.rBtnAnd = new System.Windows.Forms.RadioButton();
-      this.btnReset = new System.Windows.Forms.Button();
+      this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.label1 = new System.Windows.Forms.Label();
+      this.label2 = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.label4 = new System.Windows.Forms.Label();
       this.groupBoxFilter.SuspendLayout();
       this.groupBoxFilterInfo.SuspendLayout();
+      this.groupBox1.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -82,8 +87,8 @@
       this.groupBoxFilterInfo.Location = new System.Drawing.Point(4, 337);
       this.groupBoxFilterInfo.Name = "groupBoxFilterInfo";
-      this.groupBoxFilterInfo.Size = new System.Drawing.Size(659, 130);
+      this.groupBoxFilterInfo.Size = new System.Drawing.Size(659, 102);
       this.groupBoxFilterInfo.TabIndex = 1;
       this.groupBoxFilterInfo.TabStop = false;
-      this.groupBoxFilterInfo.Text = "Filter Info";
+      this.groupBoxFilterInfo.Text = "Filter Preview";
       // 
       // lblPercentage
@@ -148,5 +153,5 @@
       this.applyFilterButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.applyFilterButton.Enabled = false;
-      this.applyFilterButton.Location = new System.Drawing.Point(554, 474);
+      this.applyFilterButton.Location = new System.Drawing.Point(554, 628);
       this.applyFilterButton.Name = "applyFilterButton";
       this.applyFilterButton.Size = new System.Drawing.Size(107, 23);
@@ -161,5 +166,5 @@
       this.rBtnOr.AutoSize = true;
       this.rBtnOr.Enabled = false;
-      this.rBtnOr.Location = new System.Drawing.Point(60, 480);
+      this.rBtnOr.Location = new System.Drawing.Point(60, 634);
       this.rBtnOr.Name = "rBtnOr";
       this.rBtnOr.Size = new System.Drawing.Size(36, 17);
@@ -174,5 +179,5 @@
       this.rBtnAnd.Checked = true;
       this.rBtnAnd.Enabled = false;
-      this.rBtnAnd.Location = new System.Drawing.Point(10, 480);
+      this.rBtnAnd.Location = new System.Drawing.Point(10, 634);
       this.rBtnAnd.Name = "rBtnAnd";
       this.rBtnAnd.Size = new System.Drawing.Size(44, 17);
@@ -183,15 +188,57 @@
       this.rBtnAnd.CheckedChanged += new System.EventHandler(this.rBtnAnd_CheckedChanged);
       // 
-      // btnReset
-      // 
-      this.btnReset.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.btnReset.Enabled = false;
-      this.btnReset.Location = new System.Drawing.Point(473, 473);
-      this.btnReset.Name = "btnReset";
-      this.btnReset.Size = new System.Drawing.Size(75, 23);
-      this.btnReset.TabIndex = 5;
-      this.btnReset.Text = "Reset";
-      this.btnReset.UseVisualStyleBackColor = true;
-      this.btnReset.Click += new System.EventHandler(this.btnReset_Click);
+      // groupBox1
+      // 
+      this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBox1.Controls.Add(this.label4);
+      this.groupBox1.Controls.Add(this.label1);
+      this.groupBox1.Controls.Add(this.label2);
+      this.groupBox1.Controls.Add(this.label3);
+      this.groupBox1.Location = new System.Drawing.Point(7, 445);
+      this.groupBox1.Name = "groupBox1";
+      this.groupBox1.Size = new System.Drawing.Size(659, 130);
+      this.groupBox1.TabIndex = 12;
+      this.groupBox1.TabStop = false;
+      this.groupBox1.Text = "Filter Info";
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(15, 74);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(529, 13);
+      this.label1.TabIndex = 11;
+      this.label1.Text = "All preprocessing views are updated when a filter gets activated or deactivated b" +
+    "ut the unfiltered rows still exist.";
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(15, 47);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(402, 13);
+      this.label2.TabIndex = 8;
+      this.label2.Text = "In the Filter Preview all effects of the activated filters on the dataset are sum" +
+    "marized.";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(15, 21);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(249, 13);
+      this.label3.TabIndex = 6;
+      this.label3.Text = "A filter specifies the data rows which should remain.";
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(15, 98);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(455, 13);
+      this.label4.TabIndex = 12;
+      this.label4.Text = "The Apply Filter Button permanently activates the filters. This means unfiltered " +
+    "rows are deleted.";
       // 
       // FilterView
@@ -199,5 +246,5 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.btnReset);
+      this.Controls.Add(this.groupBox1);
       this.Controls.Add(this.rBtnAnd);
       this.Controls.Add(this.rBtnOr);
@@ -206,8 +253,10 @@
       this.Controls.Add(this.groupBoxFilter);
       this.Name = "FilterView";
-      this.Size = new System.Drawing.Size(670, 506);
+      this.Size = new System.Drawing.Size(670, 660);
       this.groupBoxFilter.ResumeLayout(false);
       this.groupBoxFilterInfo.ResumeLayout(false);
       this.groupBoxFilterInfo.PerformLayout();
+      this.groupBox1.ResumeLayout(false);
+      this.groupBox1.PerformLayout();
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -229,5 +278,9 @@
     private System.Windows.Forms.RadioButton rBtnAnd;
     private CheckedFilterCollectionView checkedFilterView;
-    private System.Windows.Forms.Button btnReset;
+    private System.Windows.Forms.GroupBox groupBox1;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.Label label3;
 
 
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.cs	(revision 10932)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.cs	(revision 10933)
@@ -65,5 +65,5 @@
         rBtnAnd.Enabled = (activeFilters > 0);
         rBtnOr.Enabled = (activeFilters > 0);
-        btnReset.Enabled = (activeFilters > 0);
+        //btnReset.Enabled = (activeFilters > 0);
         Content.FilterLogic.Reset();
         bool[] result = Content.FilterLogic.Preview(filters, rBtnAnd.Checked);
@@ -81,5 +81,14 @@
       {
         List<IFilter> filters = Content.Filters.ToList();
+        //apply filters
         Content.FilterLogic.Apply(filters, rBtnAnd.Checked);
+        //deactivate checked filters
+        filters = checkedFilterView.Content.CheckedItems.ToList();
+        foreach (IFilter filter in filters)
+        {
+          checkedFilterView.Content.SetItemCheckedState(filter, false);
+          filter.Active = false;
+        }
+        UpdateFilterInfo();
       }
     }
@@ -112,4 +121,5 @@
     }
 
+    /*
     private void btnReset_Click(object sender, EventArgs e)
     {
@@ -119,4 +129,5 @@
       }
     }
+     * */
 
   }