Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 10964)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 10965)
@@ -80,69 +80,4 @@
     }
 
-    private void dataGridView_ColumnHeaderMouseClick(object sender, DataGridViewCellMouseEventArgs e) {
-      searchIterator = null;
-    }
-    #region methods which override/modify methods from PreprocessingStringConvertibleMatrixView
-
-    protected override void dataGridView_SelectionChanged(object sender, EventArgs e) {
-      if (Content != null) {
-        if (!isSearching && !isReplacing) {
-
-          if (Control.MouseButtons == MouseButtons.Left) {
-            updateOnMouseUp = true;
-            return;
-          }
-
-          base.dataGridView_SelectionChanged(sender, e);
-
-          Content.DataGridLogic.SetSelection(GetSelectedCells());
-        }
-      }
-    }
-
-    protected override void dataGridView_CellValidating(object sender, DataGridViewCellValidatingEventArgs e) {
-      if (!dataGridView.ReadOnly) {
-        string errorMessage;
-        if (Content != null) {
-          if (dataGridView.IsCurrentCellInEditMode && Content.FilterLogic.IsFiltered) {
-            errorMessage = "A filter is active, you cannot modify data. Press ESC to exit edit mode.";
-          } else {
-            Content.DataGridLogic.Validate(e.FormattedValue.ToString(), out errorMessage, e.ColumnIndex);
-          }
-
-          if (!String.IsNullOrEmpty(errorMessage)) {
-            e.Cancel = true;
-            dataGridView.Rows[e.RowIndex].ErrorText = errorMessage;
-          }
-        }
-      }
-    }
-
-    protected override void dataGridView_CellParsing(object sender, DataGridViewCellParsingEventArgs e) {
-      triggersOwnEvent(() => base.dataGridView_CellParsing(sender, e));
-    }
-
-    protected override void PasteValuesToDataGridView() {
-      triggersOwnEvent(() => base.PasteValuesToDataGridView());
-    }
-
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      rowsTextBox.ReadOnly = true;
-      columnsTextBox.ReadOnly = true;
-    }
-
-    protected override int[] Sort(IEnumerable<KeyValuePair<int, SortOrder>> sortedColumns) {
-      btnApplySort.Enabled = sortedColumns.Any();
-      return base.Sort(sortedColumns);
-    }
-
-    protected override void ClearSorting() {
-      btnApplySort.Enabled = false;
-      base.ClearSorting();
-    }
-
-    #endregion
-
     protected override void OnContentChanged() {
       List<KeyValuePair<int, SortOrder>> order = new List<KeyValuePair<int, SortOrder>>(base.sortedColumnIndices);
@@ -199,4 +134,70 @@
         }
       }
+      searchIterator = null;
+    }
+
+    #region methods which override/modify methods from PreprocessingStringConvertibleMatrixView
+
+    protected override void dataGridView_SelectionChanged(object sender, EventArgs e) {
+      if (Content != null) {
+        if (!isSearching && !isReplacing) {
+
+          if (Control.MouseButtons == MouseButtons.Left) {
+            updateOnMouseUp = true;
+            return;
+          }
+
+          base.dataGridView_SelectionChanged(sender, e);
+
+          Content.DataGridLogic.SetSelection(GetSelectedCells());
+        }
+      }
+    }
+
+    protected override void dataGridView_CellValidating(object sender, DataGridViewCellValidatingEventArgs e) {
+      if (!dataGridView.ReadOnly) {
+        string errorMessage;
+        if (Content != null) {
+          if (dataGridView.IsCurrentCellInEditMode && Content.FilterLogic.IsFiltered) {
+            errorMessage = "A filter is active, you cannot modify data. Press ESC to exit edit mode.";
+          } else {
+            Content.DataGridLogic.Validate(e.FormattedValue.ToString(), out errorMessage, e.ColumnIndex);
+          }
+
+          if (!String.IsNullOrEmpty(errorMessage)) {
+            e.Cancel = true;
+            dataGridView.Rows[e.RowIndex].ErrorText = errorMessage;
+          }
+        }
+      }
+    }
+
+    protected override void dataGridView_CellParsing(object sender, DataGridViewCellParsingEventArgs e) {
+      triggersOwnEvent(() => base.dataGridView_CellParsing(sender, e));
+    }
+
+    protected override void PasteValuesToDataGridView() {
+      triggersOwnEvent(() => base.PasteValuesToDataGridView());
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      rowsTextBox.ReadOnly = true;
+      columnsTextBox.ReadOnly = true;
+    }
+
+    protected override int[] Sort(IEnumerable<KeyValuePair<int, SortOrder>> sortedColumns) {
+      btnApplySort.Enabled = sortedColumns.Any();
+      return base.Sort(sortedColumns);
+    }
+
+    protected override void ClearSorting() {
+      btnApplySort.Enabled = false;
+      base.ClearSorting();
+    }
+
+    #endregion
+
+    private void dataGridView_ColumnHeaderMouseClick(object sender, DataGridViewCellMouseEventArgs e) {
       searchIterator = null;
     }