Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs	(revision 10969)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs	(revision 10970)
@@ -26,6 +26,4 @@
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
-using HeuristicLab.DataPreprocessing;
-using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing.Views {
@@ -54,5 +52,5 @@
         //var correlationMatrixLogic = new ChartLogic(data);
         var filterLogic = new FilterLogic(data);
-       
+
         //var dataCompletenessLogic = new ChartLogic(data);
 
@@ -68,5 +66,5 @@
           
           new FilterContent(filterLogic),
-          new ManipulationContent(manipulationLogic, searchLogic, dataGridLogic),
+          new ManipulationContent(manipulationLogic, searchLogic, dataGridLogic, filterLogic),
           new TransformationContent(data)
         };
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.Designer.cs	(revision 10969)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.Designer.cs	(revision 10970)
@@ -53,4 +53,5 @@
       this.tabsPreview = new System.Windows.Forms.TabControl();
       this.tabPreviewInactive = new System.Windows.Forms.TabPage();
+      this.lblPreviewInActive = new System.Windows.Forms.Label();
       this.tabPreviewDeleteColumnsInfo = new System.Windows.Forms.TabPage();
       this.lblPreviewColumnsInfo = new System.Windows.Forms.Label();
@@ -75,4 +76,5 @@
       this.grpBoxPreview.SuspendLayout();
       this.tabsPreview.SuspendLayout();
+      this.tabPreviewInactive.SuspendLayout();
       this.tabPreviewDeleteColumnsInfo.SuspendLayout();
       this.tabPreviewDeleteColumnsVariance.SuspendLayout();
@@ -84,5 +86,5 @@
       // lstMethods
       // 
-      this.lstMethods.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.lstMethods.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.lstMethods.FormattingEnabled = true;
@@ -114,5 +116,5 @@
       // grpBoxData
       // 
-      this.grpBoxData.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.grpBoxData.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.grpBoxData.Controls.Add(this.tabsData);
@@ -126,5 +128,5 @@
       // tabsData
       // 
-      this.tabsData.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.tabsData.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabsData.Controls.Add(this.tabPage1);
@@ -369,6 +371,6 @@
       // grpBoxPreview
       // 
-      this.grpBoxPreview.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.grpBoxPreview.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.grpBoxPreview.Controls.Add(this.tabsPreview);
@@ -382,5 +384,5 @@
       // tabsPreview
       // 
-      this.tabsPreview.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.tabsPreview.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabsPreview.Controls.Add(this.tabPreviewInactive);
@@ -399,4 +401,5 @@
       // tabPreviewInactive
       // 
+      this.tabPreviewInactive.Controls.Add(this.lblPreviewInActive);
       this.tabPreviewInactive.Location = new System.Drawing.Point(4, 22);
       this.tabPreviewInactive.Name = "tabPreviewInactive";
@@ -406,4 +409,14 @@
       this.tabPreviewInactive.Text = "inactive";
       this.tabPreviewInactive.UseVisualStyleBackColor = true;
+      // 
+      // lblPreviewInActive
+      // 
+      this.lblPreviewInActive.AutoSize = true;
+      this.lblPreviewInActive.Location = new System.Drawing.Point(3, 3);
+      this.lblPreviewInActive.Name = "lblPreviewInActive";
+      this.lblPreviewInActive.Size = new System.Drawing.Size(361, 39);
+      this.lblPreviewInActive.TabIndex = 2;
+      this.lblPreviewInActive.Text = "Filters are active and thus manipulations cannot be applied!\r\n\r\nPlease deactive t" +
+    "he filter(s) first in order to be able to perform manipulations.";
       // 
       // tabPreviewDeleteColumnsInfo
@@ -549,4 +562,6 @@
       this.grpBoxPreview.ResumeLayout(false);
       this.tabsPreview.ResumeLayout(false);
+      this.tabPreviewInactive.ResumeLayout(false);
+      this.tabPreviewInactive.PerformLayout();
       this.tabPreviewDeleteColumnsInfo.ResumeLayout(false);
       this.tabPreviewDeleteColumnsInfo.PerformLayout();
@@ -606,4 +621,5 @@
     private System.Windows.Forms.ComboBox cmbVariableNames;
     private System.Windows.Forms.Label label8;
+    private System.Windows.Forms.Label lblPreviewInActive;
   }
 }
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs	(revision 10969)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs	(revision 10970)
@@ -45,4 +45,5 @@
       tabsPreview.ItemSize = new Size(0, 1);
       tabsPreview.SizeMode = TabSizeMode.Fixed;
+      lblPreviewInActive.Visible = false;
 
       validators = new Action[] { 
@@ -72,4 +73,5 @@
         }
         cmbVariableNames.SelectedIndex = 0;
+        checkFilters();
       }
     }
@@ -78,4 +80,5 @@
       base.RegisterContentEvents();
       Content.ManipulationLogic.Changed += Content_Changed;
+      Content.FilterLogic.FilterChanged += FilterLogic_FilterChanged;
     }
 
@@ -83,4 +86,28 @@
       base.DeregisterContentEvents();
       Content.ManipulationLogic.Changed -= Content_Changed;
+      Content.FilterLogic.FilterChanged -= FilterLogic_FilterChanged;
+    }
+
+    private void FilterLogic_FilterChanged(object sender, EventArgs e) {
+      if (Content != null) {
+        checkFilters();
+      }
+    }
+
+    private void checkFilters() {
+      if (Content.FilterLogic.IsFiltered) {
+        tabsPreview.SelectedIndex = 0;
+        lstMethods.Enabled = false;
+        tabsData.Enabled = false;
+        tabsPreview.Enabled = false;
+        lblPreviewInActive.Visible = true;
+        btnApply.Enabled = false;
+      } else {
+        lblPreviewInActive.Visible = false;
+        tabsData.Enabled = true;
+        tabsPreview.Enabled = true;
+        lstMethods.Enabled = true;
+        lstMethods_SelectedIndexChanged(null, null);
+      }
     }
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/ManipulationContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/ManipulationContent.cs	(revision 10969)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/ManipulationContent.cs	(revision 10970)
@@ -32,9 +32,20 @@
     private ISearchLogic searchLogic;
     private IDataGridLogic dataGridLogic;
+    private IFilterLogic filterLogic;
 
-    public ManipulationContent(IManipulationLogic theManipulationLogic, ISearchLogic theSearchLogic, IDataGridLogic theDataGridLogic) {
+    public IManipulationLogic ManipulationLogic { get { return manipulationLogic; } }
+    public ISearchLogic SearchLogic { get { return searchLogic; } }
+    public IDataGridLogic DataGridLogic { get { return dataGridLogic; } }
+    public IFilterLogic FilterLogic { get { return filterLogic; } }
+
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
+    }
+
+    public ManipulationContent(IManipulationLogic theManipulationLogic, ISearchLogic theSearchLogic, IDataGridLogic theDataGridLogic, IFilterLogic theFitlerLogic) {
       manipulationLogic = theManipulationLogic;
       searchLogic = theSearchLogic;
       dataGridLogic = theDataGridLogic;
+      filterLogic = theFitlerLogic;
     }
 
@@ -45,25 +56,5 @@
     }
 
-    public IManipulationLogic ManipulationLogic {
-      get {
-        return manipulationLogic;
-      }
-    }
 
-    public ISearchLogic SearchLogic {
-      get {
-        return searchLogic;
-      }
-    }
-
-    public IDataGridLogic DataGridLogic {
-      get {
-        return dataGridLogic;
-      }
-    }
-
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
-    }
   }
 }